#include <fstream>
#include <vector>
#include <algorithm>

using namespace std;

bool IsPrime(int &n, int i = 2)
{
	if (n < 2) return false;
	if (n == 2 || n == 3) return true;
	if (n % 6 != 5 && n % 6 != 1) return false;
	if (n % i == 0) return false;
	if (i * i > n) return true;
	return IsPrime(n, i + 1);
}

int main()
{
	ifstream input("DQNT.inp");
	ofstream output("DQNT.out");
	int n;
	int a;
	vector <int> res;
	input >> n;
	for (int i = 0; i < n; i++)
	{
		input >> a;
		if (IsPrime(a)) res.push_back(a);
	}
	if (res.size() > 0)
	{
		stable_sort(res.begin(), res.end());

		for (unsigned int i = 0; i < res.size(); i++)
		{
			output << res[i] << ' ';
		}
	}
	else output << -1;
	input.close();
	output.close();
	return 0;
}